RT notifier: parse templates without header correctly
[openxpki.git] / trunk / package / debian / deployment / openxpki-deployment.openxpkid.init
blob818b6242fc826d49bcb1a171aae12590890b4577
1 #! /bin/sh
2 ### BEGIN INIT INFO
3 # Provides: openxpkid
4 # Required-Start: $local_fs $webserver
5 # Required-Stop: $local_fs $webserver
6 # Default-Start: 2 3 4 5
7 # Default-Stop: S 0 1 6
8 # Short-Description: Example initscript
9 # Description: This file should be used to construct scripts to be
10 # placed in /etc/init.d.
11 ### END INIT INFO
13 # Author: Michael Bell <michael.bell@web.de>.
15 # Please remove the "Author" lines above and replace them
16 # with your own name if you copy and modify this script.
18 # Do NOT "set -e"
20 # PATH should only include /usr/* if it runs after the mountnfs.sh script
21 PATH=/usr/sbin:/usr/bin:/sbin:/bin
22 DESC="OpenXPKI daemon"
23 NAME=openxpkictl
24 DAEMON=/usr/bin/$NAME
25 PIDFILE=/var/run/openxpkid.pid
26 SCRIPTNAME=/etc/init.d/openxpkid
28 # Exit if the package is not installed
29 [ -x "$DAEMON" ] || exit 0
31 # Read configuration variable file if it is present
32 [ -r /etc/default/$NAME ] && . /etc/default/$NAME
34 # Load the VERBOSE setting and other rcS variables
35 [ -f /etc/default/rcS ] && . /etc/default/rcS
37 # Define LSB log_* functions.
38 # Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
39 . /lib/lsb/init-functions
42 # Function that starts the daemon/service
44 do_start()
46 # Return
47 # 0 if daemon has been started
48 # 1 if daemon was already running
49 # 2 if daemon could not be started
50 start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
51 || return 1
52 start-stop-daemon --start --quiet --pidfile $PIDFILE \
53 --exec $DAEMON -- start --quiet \
54 || return 2
55 # do not enable debugging
56 # --exec $DAEMON -- start --quiet
57 # enable full debugging
58 # --exec $DAEMON -- start --debug :100
59 # enable rudimentary debugging
60 # --exec $DAEMON -- start --debug :
61 # enable debugging of the visualization API
62 # --exec $DAEMON -- start --debug "OpenXPKI::Server::API::Visualization:100"
63 # Add code here, if necessary, that waits for the process to be ready
64 # to handle requests from services started subsequently which depend
65 # on this one. As a last resort, sleep for some time.
67 # OpenXPKI notice: we check in openxpictl if the server is available
68 # before we signal a correct startup
72 # Function that stops the daemon/service
74 do_stop()
76 # Return
77 # 0 if daemon has been stopped
78 # 1 if daemon was already stopped
79 # 2 if daemon could not be stopped
80 # other if a failure occurred
81 start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
82 RETVAL="$?"
83 [ "$RETVAL" = 2 ] && return 2
84 # Wait for children to finish too if this is a daemon that forks
85 # and if the daemon is only ever run from this initscript.
86 # If the above conditions are not satisfied then add some other code
87 # that waits for the process to drop all resources that could be
88 # needed by services started subsequently. A last resort is to
89 # sleep for some time.
90 start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
91 [ "$?" = 2 ] && return 2
92 # Many daemons don't delete their pidfiles when they exit.
93 rm -f $PIDFILE
94 return "$RETVAL"
98 # Function that sends a SIGHUP to the daemon/service
100 do_reload() {
102 # If the daemon can reload its configuration without
103 # restarting (for example, when it is sent a SIGHUP),
104 # then implement that here.
106 start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
107 return 0
110 case "$1" in
111 start)
112 [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
113 do_start
114 case "$?" in
115 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
116 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
117 esac
119 stop)
120 [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
121 do_stop
122 case "$?" in
123 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
124 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
125 esac
127 #reload|force-reload)
129 # If do_reload() is not implemented then leave this commented out
130 # and leave 'force-reload' as an alias for 'restart'.
132 #log_daemon_msg "Reloading $DESC" "$NAME"
133 #do_reload
134 #log_end_msg $?
136 restart|force-reload)
138 # If the "reload" option is implemented then remove the
139 # 'force-reload' alias
141 log_daemon_msg "Restarting $DESC" "$NAME"
142 do_stop
143 case "$?" in
144 0|1)
145 do_start
146 case "$?" in
147 0) log_end_msg 0 ;;
148 1) log_end_msg 1 ;; # Old process is still running
149 *) log_end_msg 1 ;; # Failed to start
150 esac
153 # Failed to stop
154 log_end_msg 1
156 esac
159 #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
160 echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
161 exit 3
163 esac